%global mod_name extras-executable-war
%global short_name executable-war
%global jenkins_webroot %{_datadir}/jenkins/webroot

Name:           jenkins-executable-war
Version:        1.29
Release:        10%{?dist}
Summary:        Jenkins Executable War

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/extras-executable-war
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

Patch0:         0001-Work-with-exploded-WAR.patch

BuildRequires:  maven-local

BuildArch:      noarch

%description
This package enables executable war support for Jenkins.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%package        webroot
Summary:        Unpacked classes in Jenkins webroot directory
Requires:       jenkins-webapp

%description webroot
This package contains unpacked "jenkins-executable-war" classes in Jenkins
webroot directory.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%patch0 -p1

cp %{SOURCE1} .

# there is a licensing issue with parent POM
# https://issues.jenkins-ci.org/browse/JENKINS-17682
# it doesn't contain anything interesting, we can remove it
%pom_remove_parent

%pom_xpath_replace "pom:build/pom:plugins/pom:plugin[pom:artifactId[text()='maven-compiler-plugin']]/pom:configuration/pom:source" "1.5"
%pom_xpath_replace "pom:build/pom:plugins/pom:plugin[pom:artifactId[text()='maven-compiler-plugin']]/pom:configuration/pom:target" "1.5"

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

install -d -m 755 %{buildroot}/%{jenkins_webroot}/
unzip -d %{buildroot}/%{jenkins_webroot}/ target/%{short_name}-%{version}.jar

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt
%files webroot
%{jenkins_webroot}/*
%exclude %{jenkins_webroot}/META-INF
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.29-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.29-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.29-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.29-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.29-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.29-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 12 2015 Michal Srb <msrb@redhat.com> - 1.29-4
- Introduce webroot subpackage

* Mon Sep 22 2014 Michal Srb <msrb@redhat.com> - 1.29-3
- Work with exploded WAR

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 12 2013 Michal Srb <msrb@redhat.com> - 1.29-1
- Initial packaging

